#if !defined(AFX_DEPENDMODULES_H__3FDE1290_B9A0_4489_8411_52277FA9B383__INCLUDED_)
#define AFX_DEPENDMODULES_H__3FDE1290_B9A0_4489_8411_52277FA9B383__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DependModules.h : header file
//

#include "TreeR.h"

/////////////////////////////////////////////////////////////////////////////
// DependModules dialog

typedef enum 
{
	FIND_DLL= 1001,
    NOTFOUND,
	INIT_DATA
}STATUS_DLL;


class DependModules : public CDialog
{
// Construction
public:

	DependModules(CWnd* pParent = NULL);   // standard constructor

	 void AddToTree(TreeR pObj);
	void GetTreeNode(TNode* pNode_i, HTREEITEM HStepItem );
	void GetImport( CString csPath);
	STATUS_DLL GetImport( CString csPath, int nData, HMODULE& hModReturn  );
	bool GetDLLLoadAddress( CString csDLLName,  HMODULE& hModDLL );
    bool AddString( CString csData, bool bNoTree = false );
	bool DeleteString( CString csData );
	int  FindDepends( int nCount, const CString csSearchCondition_i ); 

// Dialog Data
	//{{AFX_DATA(DependModules)
	enum { IDD = IDD_DLG_INTEGRITY_CHECK };
	CComboBox	m_search;
	CListCtrl	m_list;
	CString	m_csDLLName;
	CString	m_directory;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DependModules)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DependModules)
	virtual BOOL OnInitDialog();
	afx_msg void OnBTNDepends();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:

	static int m_ndata;
	static CString m_csData;
	TreeR m_obj;
	CString m_FirstDLL;
    static STATUS_DLL status;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEPENDMODULES_H__3FDE1290_B9A0_4489_8411_52277FA9B383__INCLUDED_)
