/*****************************************************************
AR-KJ
*******************************************************************/

#include "StdAfx.h"
#include "TreeR.h"

// Default constructor
TreeR::TreeR() : m_pTree( 0 )
{
	
}

bool TreeR::InsertNode(CString csNode)
{
	CStringArray csDataArray;
	Parse(csNode, csDataArray );
	int nSize = 0;
	TNode* pLastNode = m_pTree;
	TNode* pCurrent = m_pTree;
	while( nSize < csDataArray.GetSize())
	{
		if( 0 == m_pTree )
		{
			m_pTree = new TNode();
			m_pTree->csNodeData = csDataArray.GetAt( nSize);
			pLastNode = m_pTree;
			pCurrent = m_pTree;
		}
		else
		{
			if( nSize > 0 )
			{
				int nIndex = 0;
				bool bData = false;
				while( 0 != pCurrent->pTreeNode[ nIndex ])
				{
					CString csCheck = csDataArray.GetAt( nSize  );
					if( pCurrent->pTreeNode[ nIndex ]->csNodeData == csCheck )
					{
						bData = true;
						break;
					}
					nIndex++;
				}
				if( !bData )
				{
					TNode* pDataNode = new TNode();
					pDataNode->csNodeData = csDataArray.GetAt( nSize );
					pCurrent->pTreeNode[nIndex] = pDataNode;
					pLastNode = pDataNode;
					pCurrent = pLastNode;
				}
				else
				{
					pCurrent = pCurrent->pTreeNode[ nIndex ];
					pLastNode = pLastNode->pTreeNode[nIndex];
				}
			}
		}
		nSize++;
	}
	return true;
}

TNode* TreeR::GetNode()
{
	return m_pTree;
}


bool TreeR::DeleteNode(CString csNode)
{
	return true;
}

bool TreeR::DeleteNodes()
{
	delete m_pTree;
	m_pTree =0;
	return 1;
}

bool TreeR::Parse(CString csNode, CStringArray& csDataArray )
{
	CString csArray;
	int nPos =0;
	int nPrev = 0;
	while( -1 != ( nPos = csNode.Find( "\\", nPos )))
	{
		csArray = csNode.Mid( nPrev, ( nPos - nPrev ));
		csDataArray.Add( csArray );
		nPos++;
		nPrev = nPos;
	}
	csArray = csNode.Mid( nPrev, csNode.GetLength());
	csDataArray.Add( csArray );
	return true;
}