/*****************************************************************
AR-KJ

  A tree class that handles all the Data as a tree
  which can be used as data structure class.
*******************************************************************/

#ifndef _TREE_R_H_
#define _TREE_R_H_

#include "StdAfx.h"


struct TNode
{  
	CString csNodeData;
	TNode* pTreeNode[MAX_PATH];
public:
	TNode()
	{
		for( int nSize=0; nSize <MAX_PATH; nSize++ )
		{
			pTreeNode[nSize] = 0;
		}
	}
};

class TreeR
{
public:
	TreeR();
	bool InsertNode(CString csNode);
	bool DeleteNodes();
	bool DeleteNode(CString csNode);
	TNode* GetNode();

private:

	bool Parse(CString csNode, CStringArray& csDataArray );

private:
	
	TNode* m_pTree;

};

#endif // end of _TREE_R_H_