#if !defined(AFX_DEPENDENCYTREEVIEW_H__E18CE752_2960_4F99_8C96_754ADE5DEB8C__INCLUDED_)
#define AFX_DEPENDENCYTREEVIEW_H__E18CE752_2960_4F99_8C96_754ADE5DEB8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DependencyTreeView.h : header file
//
#include "PEFormatParser.h"
#include "TreeR.h"
#include "ExeInsideDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CDependencyTreeView view

class CDependencyTreeView : public CTreeView
{
protected:
	CDependencyTreeView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDependencyTreeView)

// Attributes
public:

	CPEWatcherDoc* GetDocument();
// Operations
public:

	CString GetFileName()
	{
		return m_csFileName ;
	}
	void SetFileName(const CString& csFileName_i )
	{
		m_csFileName = csFileName_i;
	}

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDependencyTreeView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDependencyTreeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDependencyTreeView)
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	void AddToTree(TreeR pObj);
	void GetTreeNode(TNode* pNode_i, HTREEITEM HStepItem );

private:
	CImageList m_ImageList;
	CString m_csFileName;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEPENDENCYTREEVIEW_H__E18CE752_2960_4F99_8C96_754ADE5DEB8C__INCLUDED_)
