// ExSplitter3Wnd.cpp: implementation of the PESplitterWnd class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
//#include "TestSplit.h"
#include "PESplitterWnd.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

PESplitterWnd::PESplitterWnd()

{
	CSplitterWnd::CSplitterWnd();
	m_FirstViewSize = CSize(0,0);
	m_SecViewSize =  CSize(0,0);
	m_ThirdViewSize=  CSize(0,0);
	m_FourthViewSize=  CSize(0,0);
}

PESplitterWnd::~PESplitterWnd()
{

	CSplitterWnd::~CSplitterWnd();
	if (m_pwndSplitter!=NULL)
		delete m_pwndSplitter;

}

void PESplitterWnd ::SetSplitter(CWnd* pParent,
								  CRuntimeClass* pFirstView,CRuntimeClass* pSecView,
								  CRuntimeClass* pThirdView,CRuntimeClass* pFourthView,
								  CCreateContext* pContext)
{
  	m_pFirstView = pFirstView;
	m_pSecView = pSecView;
	m_pThirdView = pThirdView;
	m_pFourthView = pFourthView;
	m_pContext = pContext;
    SetSplitter(pParent);
}


void PESplitterWnd ::SetSplitter(CWnd* pParent)
{

	CreateStatic(pParent,2,1);

	m_pwndSplitter = new CSplitterWnd;
	m_pwndSplitter->CreateStatic(this, 1, 3,m_dwStyle,  // style, WS_BORDER is needed
	 	this->IdFromRowCol(0,0)); // For portrait


	VERIFY(CreateView(1,0,m_pFirstView, m_FirstViewSize,m_pContext));

	VERIFY(m_pwndSplitter->CreateView(0,0,m_pSecView,m_SecViewSize,m_pContext));

	VERIFY(m_pwndSplitter->CreateView(0,1,m_pThirdView ,m_ThirdViewSize,m_pContext));

	VERIFY(m_pwndSplitter->CreateView(0,2,m_pFourthView ,m_FourthViewSize,m_pContext));

	SetRowInfo(0,m_SecViewSize.cy,10);
	RecalcLayout();
}



